# Gimp.smudge

    function smudge(drawable: Gimp.Drawable, pressure: Number(gdouble), strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_smudge()
    }

Smudge image with varying pressure.

This tool simulates a smudge using the current brush. High pressure results in a greater smudge of paint while low pressure results in a lesser smudge.

drawable

  The affected drawable.

pressure

  The pressure of the smudge strokes.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.